Name:		rpm2html
Version:	1.9.2
Release:	%mkrel 6
Summary:	Translates rpm database into HTML and RDF info
License:	MIT
Group:		Networking/WWW
URL:		http://www.nongnu.org/rpm2html/
Source0:	http://savannah.nongnu.org/download/rpm2html/rpm2html-%{version}.tar.bz2
# export CVS_RSH="ssh"
# cvs -z3 -d:ext:anoncvs@savannah.nongnu.org:/cvsroot/rpm2html co -rRPM2HTML_1_9_2 rpm2html
# tar xvvjf rpm2html-mysql.tar.bz2
# for i in *; do if test -f ../rpm2html-mysql/$i; then cp $i -af ../rpm2html-mysql/$i; fi; done
# tar cvvjf rpm2html-mysql.tar.bz2 rpm2html-mysql
Source1:	rpm2html-mysql.tar.bz2
Source2:	rpm2html.bashrc
Source3:	rpm2html.sql
Patch0:		rpm2html-1.8.2-no_db.patch
Patch1:		rpm2html-1.8.1-mysql.patch
Patch2:		rpm2html-1.9.2-rpm2html_config.patch
Patch3:		rpm2html-1.9.2-mysql-release.patch
Requires:	gnupg
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	bzip2-devel
BuildRequires:	gnupg
BuildRequires:	libintl
BuildRequires:	libxml2-devel
BuildRequires:	popt-devel
BuildRequires:	rpm-devel
BuildRequires:	zlib-devel
BuildRequires:	MySQL-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The rpm2html utility automatically generates web pages that describe a
set of RPM packages.  The goals of rpm2html are to identify the
dependencies between various packages, and to find the package(s) that
will provide the resources needed to install a given package.
Rpm2html analyzes the provides and requires of the given set of RPMs,
and then shows the dependency cross-references using hypertext links.
Rpm2html can now dump the metadata associated with RPM files into
standard RDF files.

Install rpm2html if you want a utility for translating information
from an RPM database into HTML.

%package	mysql
Summary:	Translates rpm database into HTML and RDF info
Group:		Networking/WWW
Requires:	%{name} = %{version}
Requires:	apache
Requires:	mod_php
Requires:	php-common
Requires:	php-mysql

%description	mysql
The rpm2html-mysql utility automatically generates web pages that describe a
set of RPM packages.  The goals of rpm2html are to identify the
dependencies between various packages, and to find the package(s) that
will provide the resources needed to install a given package.
Rpm2html analyzes the provides and requires of the given set of RPMs,
and then shows the dependency cross-references using hypertext links.
Rpm2html can now dump the metadata associated with RPM files into
standard RDF files.

Install rpm2html-mysql if you want a utility for translating information
from an RPM database into HTML.

This package contains the nessesary files to enable MySQL support.

%prep
%setup -q -a1
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1

# tag it with the correct version (duh!, at what point did this work?)
%{__perl} -pi -e "s|^#define RPM2HTML_VER.*|#define RPM2HTML_VER \"%{version}-%{release}\"|g" rpm2html.h

# fix tag
%{__perl} -pi -e "s|RPMTAG_COPYRIGHT|RPMTAG_LICENSE|" rpmopen.c

%build
export WANT_AUTOCONF_2_5=1
%{__libtoolize} --copy --force
%{_bindir}/aclocal-1.7
%{__autoconf}
%{_bindir}/automake-1.7 --add-missing

# first build without MySQL support
%configure2_5x --sysconfdir=%{_sysconfdir} --with-gpg
%make
%{__mv} %{name} %{name}-bin-std

# build with MySQL support
%make clean
%configure2_5x --sysconfdir=%{_sysconfdir} --with-gpg --with-sql
%make
%{__mv} %{name} %{name}-bin-mysql

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__mkdir_p} %{buildroot}/var/www/html/%{name}-mysql

%{__install} -m 755 %{name}-bin-std %{buildroot}%{_bindir}/%{name}
%{__install} -m 755 %{name}-bin-mysql %{buildroot}%{_bindir}/%{name}-mysql
%{__install} -m 755 sqltools %{buildroot}%{_bindir}/

%{__install} -m 644 msg.* %{buildroot}%{_datadir}/%{name}/
%{__install} -m 644 %{name}.config %{buildroot}%{_sysconfdir}
%{__install} -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/rpm2html.1

%{__install} -m 644 rpm2html-mysql/*.html %{buildroot}/var/www/html/%{name}-mysql/
%{__install} -m 644 rpm2html-mysql/*.gif %{buildroot}/var/www/html/%{name}-mysql/
%{__install} -m 644 rpm2html-mysql/*.php %{buildroot}/var/www/html/%{name}-mysql/

%{__cat} %{SOURCE2} > rpm2html.bashrc
%{__chmod} 755 rpm2html.bashrc
%{__cat} %{SOURCE3} > rpm2html.sql

%post		mysql
echo "%{_bindir}/%{name}-mysql and %{_bindir}/sqltools will segfault if environment"
echo "variables outlined in %{_docdir}/%{name}-mysql-%{version}/rpm2html.bashrc is unset."

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS CHANGES ChangeLog Copyright INSTALL PRINCIPLES README TODO
%doc %{name}*.config* rpm2html-mysql/rpm2html.config.*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.config
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0644,root,root) %{_datadir}/%{name}/msg.*
%attr(0644,root,root) %{_mandir}/man1/%{name}.1*

%files mysql
%defattr(-,root,root)
%doc rpm2html-mysql/rpm2html-mysql-setup.txt rpm2html.bashrc rpm2html.sql
%doc rpm2html-mysql/*.py
%attr(0755,root,root) %{_bindir}/%{name}-mysql
%attr(0755,root,root) %{_bindir}/sqltools
%attr(0644,root,root) /var/www/html/%{name}-mysql/*


%changelog
* Sun Mar 04 2007 David Walluck <walluck@mandriva.org> 1.9.2-6mdv2007.0
+ Revision: 132568
- fix Requires

* Mon Jan 22 2007 David Walluck <walluck@mandriva.org> 1.9.2-5mdv2007.1
+ Revision: 111659
- rebuild for new libintl
- Import rpm2html



* Fri Aug 25 2006 David Walluck <walluck@mandriva.org> 1.9.2-4mdv2007.0
- fix build
- bunzip2 patches and extra sources
- add macros

* Thu Nov 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-3mdk
- added P3 by Michael Reinsch to make it work with MySQL-5.0.15 (#19727)

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-2mdk
- rebuilt against MySQL-5.0.15

* Mon Oct 10 2005 David Walluck <walluck@mandriva.org> 1.9.2-1mdk
- 1.9.2

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 1.8.3-2mdk
- rebuild for rpm4.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.3-1mdk
- 1.8.3
- new upstream maintainer (Peter Hanecak)
- use the %%mkrel macro
- drop the rpm42 patch, it's included upstream

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.2-3mdk
- rebuilt against MySQL-4.1.x system libs

* Mon Jun 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.2-2mdk
- rebuilt with gcc v3.4.x
- use rpmdb instead (P0)
- added one fix from cvs (P2)

* Sat Nov 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.8.2-1mdk
- 1.8.2
- rediffed P0, drop P2 & P4, it's included
- use the %%configure2_5x macro
- added newer stuff from CVS (S1)

* Mon Sep 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.8.1-5mdk
- remove explicit dependencies

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.8.1-4mdk
- new P2 (merged P1+P2 from CVS)
- added P4
- rebuilt for rpm v4.2

* Mon Mar 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.8.1-3mdk
- fix in S2 (workaround for silly bug)

* Sun Feb 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.8.1-2mdk
- added P2, P3, S1, S2 & S3
- new rpm2html-mysql sub package (mainly because we lack search 
  functions at: http://rpms.mandrakeclub.com/, have fun Deno!)

* Sun Feb 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.8.1-1mdk
- 1.8.1 (last version?)
- added slightly adjusted db4 patch from RH
- license is MIT now
- tag it with the correct version (duh!)
- fix buildrequires and requires
- misc spec file fixes

* Mon Aug 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.7-2mdk
- fix some rpmlint warnings
- rebuild
- fix buildrequires

* Sat Mar 23 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.7-2mdk
- rebuild against new rpm
- fix build

* Mon Jul 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-1mdk
- updated to 1.7

* Mon Oct 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- used srpm from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	New version
	Built for rpm 4.0
	Added some buildrequires and requires

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4-2mdk
- clean spec

* Sat Jul 29 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.4-1mdk
- Changed Group to Networking/WWW
- macrosizication 
- BM

* Thu Oct  7 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Preparing 1.3 release

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
rpm2html-1.9.2-mysql-release.patch
